html,
body {
  position: relative;
  width: 100%;
  height: 100%;
}

body {
  color: #333;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "PT Mono", monospace;
}

a {
  color: rgb(0, 100, 200);
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

a:visited {
  color: rgb(0, 80, 160);
}

label {
  display: block;
}

input,
button,
select,
textarea {
  font-family: inherit;
  font-size: inherit;
  -webkit-padding: 0.4em 0;
  padding: 0.4em;
  margin: 0 0 0.5em 0;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 2px;
}

input:disabled {
  color: #ccc;
}

button {
  color: #333;
  background-color: #f4f4f4;
  outline: none;
}

button:disabled {
  color: #999;
}

button:not(:disabled):active {
  background-color: #ddd;
}

button:focus {
  border-color: #666;
}

.marker-wrapper {
  position: relative;
}

.marker {
  position: absolute;
  border-radius: 50%;
  border: 8px solid rgb(98, 30, 153);
  width: 8px;
  height: 8px;
  bottom: 8px;
  right: -8px;
}

.marker::after {
  position: absolute;
  content: "";
  width: 0px;
  height: 0px;
  bottom: -30px;
  left: -6px;
  border: 10px solid transparent;
  border-top: 17px solid rgb(98, 30, 153);
}

.marker--highlighted .marker {
  border-color: rgb(236, 40, 148);
}

.marker--highlighted .marker::after {
  border: 10px solid transparent;
  border-top: 17px solid rgb(236, 40, 148);
}

.mapboxgl-popup .mapboxgl-popup-content {
  border-radius: 8px;
  padding: 10px 20px 15px;
  font-size: 14px;
}
